import * as React from 'react';
import { ITerminalOptions, Terminal as Xterm } from 'xterm';
import { Theme as ThemeType } from '../../common-types';
declare class Terminal extends React.Component<ThemedTerminalProps, {}> {
    readonly tty: Xterm;
    private mountElement;
    private termConfig;
    constructor(props: ThemedTerminalProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    destroy(): void;
    open(): void;
    resize(): void;
    clear(): void;
    writeln(line: string): void;
    write(text: string): void;
    render(): JSX.Element;
}
export interface TerminalProps {
    ttyInstance?: Xterm | null;
    persistent?: boolean;
    nonInteractive?: boolean;
    color?: string;
    config?: ITerminalOptions;
}
interface ThemedTerminalProps extends TerminalProps {
    theme?: ThemeType;
}
export default Terminal;
